# do-sdk-platform
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 1.0.0
- Generator version: 7.12.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import do_sdk_platform
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import do_sdk_platform
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import do_sdk_platform
from do_sdk_platform.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://os.edge.deeporigin.io/api
# See configuration.py for a list of all supported configuration parameters.
configuration = do_sdk_platform.Configuration(
    host = "https://os.edge.deeporigin.io/api"
)



# Enter a context with an instance of the API client
with do_sdk_platform.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = do_sdk_platform.AccountsApi(api_client)
    create_account_input_v2_dto = do_sdk_platform.CreateAccountInputV2Dto() # CreateAccountInputV2Dto | 

    try:
        api_response = api_instance.accounts_controller_create_account(create_account_input_v2_dto)
        print("The response of AccountsApi->accounts_controller_create_account:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AccountsApi->accounts_controller_create_account: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://os.edge.deeporigin.io/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountsApi* | [**accounts_controller_create_account**](docs/AccountsApi.md#accounts_controller_create_account) | **POST** /accounts-v2 | 
*AccountsApi* | [**accounts_controller_create_signup_code**](docs/AccountsApi.md#accounts_controller_create_signup_code) | **POST** /accounts-v2/verify | 
*AccountsApi* | [**accounts_controller_get_signup_code**](docs/AccountsApi.md#accounts_controller_get_signup_code) | **GET** /accounts-v2/verify/{code} | 
*AdminApi* | [**delete_all_organization_controller_delete_all_organization**](docs/AdminApi.md#delete_all_organization_controller_delete_all_organization) | **DELETE** /admin/organizations | 
*AdminApi* | [**tool_admin_executions_controller_get_admin_tool_executions**](docs/AdminApi.md#tool_admin_executions_controller_get_admin_tool_executions) | **GET** /admin/tools/executions | 
*BillingApi* | [**billing_controller_delete_payment**](docs/BillingApi.md#billing_controller_delete_payment) | **DELETE** /billing/{orgFriendlyId}/{paymentId} | 
*BillingApi* | [**billing_controller_delete_payment_0**](docs/BillingApi.md#billing_controller_delete_payment_0) | **DELETE** /billing/{orgFriendlyId}/{paymentId} | 
*BillingApi* | [**billing_controller_get_billing_address**](docs/BillingApi.md#billing_controller_get_billing_address) | **GET** /billing/{orgFriendlyId}/address | 
*BillingApi* | [**billing_controller_get_billing_address_0**](docs/BillingApi.md#billing_controller_get_billing_address_0) | **GET** /billing/{orgFriendlyId}/address | 
*BillingApi* | [**billing_controller_get_countries**](docs/BillingApi.md#billing_controller_get_countries) | **GET** /billing/{orgFriendlyId}/countries | 
*BillingApi* | [**billing_controller_get_countries_0**](docs/BillingApi.md#billing_controller_get_countries_0) | **GET** /billing/{orgFriendlyId}/countries | 
*BillingApi* | [**billing_controller_get_invoice_pdf_link**](docs/BillingApi.md#billing_controller_get_invoice_pdf_link) | **GET** /billing/{orgFriendlyId}/invoices/pdfLink/{id} | 
*BillingApi* | [**billing_controller_get_invoice_pdf_link_0**](docs/BillingApi.md#billing_controller_get_invoice_pdf_link_0) | **GET** /billing/{orgFriendlyId}/invoices/pdfLink/{id} | 
*BillingApi* | [**billing_controller_get_payment**](docs/BillingApi.md#billing_controller_get_payment) | **GET** /billing/{orgFriendlyId}/payments | 
*BillingApi* | [**billing_controller_get_payment_0**](docs/BillingApi.md#billing_controller_get_payment_0) | **GET** /billing/{orgFriendlyId}/payments | 
*BillingApi* | [**billing_controller_get_payment_link**](docs/BillingApi.md#billing_controller_get_payment_link) | **GET** /billing/{orgFriendlyId}/invoices/payment/{id}/{tab} | 
*BillingApi* | [**billing_controller_get_payment_link_0**](docs/BillingApi.md#billing_controller_get_payment_link_0) | **GET** /billing/{orgFriendlyId}/invoices/payment/{id}/{tab} | 
*BillingApi* | [**billing_controller_pay**](docs/BillingApi.md#billing_controller_pay) | **GET** /billing/{orgFriendlyId}/payments/{paymentId}/{invoiceId} | 
*BillingApi* | [**billing_controller_pay_0**](docs/BillingApi.md#billing_controller_pay_0) | **GET** /billing/{orgFriendlyId}/payments/{paymentId}/{invoiceId} | 
*BillingApi* | [**billing_controller_update_billing_address**](docs/BillingApi.md#billing_controller_update_billing_address) | **POST** /billing/{orgFriendlyId}/address | 
*BillingApi* | [**billing_controller_update_billing_address_0**](docs/BillingApi.md#billing_controller_update_billing_address_0) | **POST** /billing/{orgFriendlyId}/address | 
*BillingApi* | [**billing_controller_update_payment**](docs/BillingApi.md#billing_controller_update_payment) | **POST** /billing/{orgFriendlyId}/payments | 
*BillingApi* | [**billing_controller_update_payment_0**](docs/BillingApi.md#billing_controller_update_payment_0) | **POST** /billing/{orgFriendlyId}/payments | 
*CatalogApi* | [**list_all_applications_controller_list_all_applications**](docs/CatalogApi.md#list_all_applications_controller_list_all_applications) | **GET** /catalog/applications | 
*CatalogApi* | [**list_all_blueprints_controller_list_all_blueprints**](docs/CatalogApi.md#list_all_blueprints_controller_list_all_blueprints) | **GET** /catalog/blueprints | 
*CatalogApi* | [**list_all_notebooks_controller_list_all_notebooks**](docs/CatalogApi.md#list_all_notebooks_controller_list_all_notebooks) | **GET** /catalog/notebooks | 
*CatalogApi* | [**list_all_operating_systems_controller_list_all_operating_systems**](docs/CatalogApi.md#list_all_operating_systems_controller_list_all_operating_systems) | **GET** /catalog/operating-systems | 
*ClustersApi* | [**list_clusters_controller_list_clusters**](docs/ClustersApi.md#list_clusters_controller_list_clusters) | **GET** /clusters/{orgFriendlyId} | 
*ClustersApi* | [**register_cluster_controller_register**](docs/ClustersApi.md#register_cluster_controller_register) | **POST** /clusters/{orgFriendlyId} | 
*ComputebenchesApi* | [**all_compute_benches_controller_all_admin_compute_benches**](docs/ComputebenchesApi.md#all_compute_benches_controller_all_admin_compute_benches) | **GET** /computebenches/{orgFriendlyId}/admin | 
*ComputebenchesApi* | [**all_compute_benches_controller_all_compute_benches**](docs/ComputebenchesApi.md#all_compute_benches_controller_all_compute_benches) | **GET** /computebenches/{orgFriendlyId} | 
*ComputebenchesApi* | [**create_compute_bench_controller_create_compute_bench**](docs/ComputebenchesApi.md#create_compute_bench_controller_create_compute_bench) | **POST** /computebenches/{orgFriendlyId} | 
*ComputebenchesApi* | [**create_custom_entrypoint_controller_create_custom_entrypoint**](docs/ComputebenchesApi.md#create_custom_entrypoint_controller_create_custom_entrypoint) | **POST** /computebenches/{orgFriendlyId}/entrypoint | 
*ComputebenchesApi* | [**delete_custom_entrypoint_controller_delete_custom_entrypoint**](docs/ComputebenchesApi.md#delete_custom_entrypoint_controller_delete_custom_entrypoint) | **DELETE** /computebenches/{orgFriendlyId}/{resourceId}/entrypoint/{port} | 
*ComputebenchesApi* | [**get_compute_bench_controller_get_compute_bench**](docs/ComputebenchesApi.md#get_compute_bench_controller_get_compute_bench) | **GET** /computebenches/{orgFriendlyId}/{resourceId} | 
*ComputebenchesApi* | [**list_bench_secrets_controller_list_bench_secrets**](docs/ComputebenchesApi.md#list_bench_secrets_controller_list_bench_secrets) | **GET** /computebenches/{orgFriendlyId}/{benchId}/secrets | 
*ComputebenchesApi* | [**update_compute_bench_controller_update_compute_bench**](docs/ComputebenchesApi.md#update_compute_bench_controller_update_compute_bench) | **PATCH** /computebenches/{orgFriendlyId}/{resourceId} | 
*ComputebenchesApi* | [**update_computebench_status_controller_update_computebench_status**](docs/ComputebenchesApi.md#update_computebench_status_controller_update_computebench_status) | **PATCH** /computebenches/{orgFriendlyId}/{resourceId}/status | 
*ComputebenchesApi* | [**user_performs_computebench_command_controller_perform_compute_bench_action**](docs/ComputebenchesApi.md#user_performs_computebench_command_controller_perform_compute_bench_action) | **POST** /computebenches/{orgFriendlyId}/{resourceId}:{action} | 
*CreditsApi* | [**credit_controller_add_credits**](docs/CreditsApi.md#credit_controller_add_credits) | **POST** /credits/{orgFriendlyId} | 
*CreditsApi* | [**credit_controller_add_credits_0**](docs/CreditsApi.md#credit_controller_add_credits_0) | **POST** /credits/{orgFriendlyId} | 
*CreditsApi* | [**credit_controller_get_credit_balance**](docs/CreditsApi.md#credit_controller_get_credit_balance) | **GET** /credits/{orgFriendlyId}/balance | 
*CreditsApi* | [**credit_controller_get_credit_balance_0**](docs/CreditsApi.md#credit_controller_get_credit_balance_0) | **GET** /credits/{orgFriendlyId}/balance | 
*CreditsApi* | [**credit_controller_get_credits_history**](docs/CreditsApi.md#credit_controller_get_credits_history) | **GET** /credits/{orgFriendlyId}/history | 
*CreditsApi* | [**credit_controller_get_credits_history_0**](docs/CreditsApi.md#credit_controller_get_credits_history_0) | **GET** /credits/{orgFriendlyId}/history | 
*CreditsApi* | [**credit_controller_get_credits_usage**](docs/CreditsApi.md#credit_controller_get_credits_usage) | **GET** /credits/{orgFriendlyId}/usage | 
*CreditsApi* | [**credit_controller_get_credits_usage_0**](docs/CreditsApi.md#credit_controller_get_credits_usage_0) | **GET** /credits/{orgFriendlyId}/usage | 
*CreditsApi* | [**credit_controller_get_monthly_balance**](docs/CreditsApi.md#credit_controller_get_monthly_balance) | **GET** /credits/{orgFriendlyId}/monthly/balance/{month}/{year} | 
*CreditsApi* | [**credit_controller_get_monthly_balance_0**](docs/CreditsApi.md#credit_controller_get_monthly_balance_0) | **GET** /credits/{orgFriendlyId}/monthly/balance/{month}/{year} | 
*DefaultApi* | [**analytics_controller_capture_event**](docs/DefaultApi.md#analytics_controller_capture_event) | **POST** /ulog | 
*DefaultApi* | [**list_admin_organizations_controller_get_organizations**](docs/DefaultApi.md#list_admin_organizations_controller_get_organizations) | **GET** /organizations | 
*FunctionsApi* | [**functions_controller_run_function**](docs/FunctionsApi.md#functions_controller_run_function) | **POST** /functions | 
*HealthApi* | [**get_health_controller_check**](docs/HealthApi.md#get_health_controller_check) | **GET** /health | 
*InvoicesApi* | [**get_invoices_controller_get_invoices**](docs/InvoicesApi.md#get_invoices_controller_get_invoices) | **GET** /invoices/{orgFriendlyId}/invoices | 
*InvoicesApi* | [**get_invoices_controller_get_invoices_0**](docs/InvoicesApi.md#get_invoices_controller_get_invoices_0) | **GET** /invoices/{orgFriendlyId}/invoices | 
*OrganizationsApi* | [**accept_organization_invite_controller_accept_organization_invite**](docs/OrganizationsApi.md#accept_organization_invite_controller_accept_organization_invite) | **POST** /organizations/invites/code/{code}:{action} | 
*OrganizationsApi* | [**contact_us_controller_contact_us**](docs/OrganizationsApi.md#contact_us_controller_contact_us) | **POST** /organizations/{orgFriendlyId}/contact/us | 
*OrganizationsApi* | [**create_organization_controller_create_organization**](docs/OrganizationsApi.md#create_organization_controller_create_organization) | **POST** /organizations | 
*OrganizationsApi* | [**delete_organization_controller_delete_organization**](docs/OrganizationsApi.md#delete_organization_controller_delete_organization) | **DELETE** /organizations/{orgFriendlyId} | 
*OrganizationsApi* | [**delete_organization_invite_controller_delete_organization_invite**](docs/OrganizationsApi.md#delete_organization_invite_controller_delete_organization_invite) | **DELETE** /organizations/{orgFriendlyId}/invites/{userEmail} | 
*OrganizationsApi* | [**delete_organization_member_controller_delete_organization_member**](docs/OrganizationsApi.md#delete_organization_member_controller_delete_organization_member) | **DELETE** /organizations/{orgFriendlyId}/users/{userAuthId} | 
*OrganizationsApi* | [**get_organization_controller_get_organization**](docs/OrganizationsApi.md#get_organization_controller_get_organization) | **GET** /organizations/{orgFriendlyId} | 
*OrganizationsApi* | [**get_organization_invite_controller_get_organization_invite**](docs/OrganizationsApi.md#get_organization_invite_controller_get_organization_invite) | **GET** /organizations/{orgFriendlyId}/invites/{code} | 
*OrganizationsApi* | [**get_organization_user_controller_get_organization_user**](docs/OrganizationsApi.md#get_organization_user_controller_get_organization_user) | **GET** /organizations/{orgFriendlyId}/users/{userId} | 
*OrganizationsApi* | [**get_unique_organization_id_controller_get_unique_organization_id**](docs/OrganizationsApi.md#get_unique_organization_id_controller_get_unique_organization_id) | **GET** /organizations/unique/id/{companyName} | 
*OrganizationsApi* | [**invite_user_to_org_controller_invite_organization_member**](docs/OrganizationsApi.md#invite_user_to_org_controller_invite_organization_member) | **POST** /organizations/{orgFriendlyId}/invites | 
*OrganizationsApi* | [**list_organization_users_controller_get_organization_users**](docs/OrganizationsApi.md#list_organization_users_controller_get_organization_users) | **GET** /organizations/{orgFriendlyId}/users | 
*OrganizationsApi* | [**list_organizations_controller_list_organizations**](docs/OrganizationsApi.md#list_organizations_controller_list_organizations) | **GET** /organizations/me | 
*OrganizationsApi* | [**update_organization_controller_update_organization**](docs/OrganizationsApi.md#update_organization_controller_update_organization) | **PATCH** /organizations/{orgFriendlyId} | 
*OrganizationsApi* | [**update_organization_invite_role_controller_update_organization_invite_role**](docs/OrganizationsApi.md#update_organization_invite_role_controller_update_organization_invite_role) | **PATCH** /organizations/{orgFriendlyId}/invites/{userAuthId} | 
*OrganizationsApi* | [**update_organization_status_controller_update_organization_status_by_friendly_id**](docs/OrganizationsApi.md#update_organization_status_controller_update_organization_status_by_friendly_id) | **PATCH** /organizations/{orgFriendlyId}/status | 
*OrganizationsApi* | [**update_organization_user_role_controller_update_organization_member_role**](docs/OrganizationsApi.md#update_organization_user_role_controller_update_organization_member_role) | **PATCH** /organizations/{orgFriendlyId}/users/{userAuthId} | 
*PipelinesApi* | [**create_pipeline_controller_create_pipeline**](docs/PipelinesApi.md#create_pipeline_controller_create_pipeline) | **POST** /pipelines | 
*PipelinesApi* | [**get_pipeline_controller_get_pipeline**](docs/PipelinesApi.md#get_pipeline_controller_get_pipeline) | **GET** /pipelines/{pipelineId} | 
*PipelinesApi* | [**list_pipelines_controller_list_pipelines**](docs/PipelinesApi.md#list_pipelines_controller_list_pipelines) | **GET** /pipelines | 
*SecretsApi* | [**create_organization_secret_controller_create_organization_secret**](docs/SecretsApi.md#create_organization_secret_controller_create_organization_secret) | **POST** /secrets/{orgFriendlyId} | 
*SecretsApi* | [**create_user_secret_controller_create_user_secret**](docs/SecretsApi.md#create_user_secret_controller_create_user_secret) | **POST** /user/secrets | 
*SecretsApi* | [**delete_organization_secret_controller_delete_organization_secret**](docs/SecretsApi.md#delete_organization_secret_controller_delete_organization_secret) | **DELETE** /secrets/{orgFriendlyId}/{secretId} | 
*SecretsApi* | [**delete_user_secret_controller_delete_user_secret**](docs/SecretsApi.md#delete_user_secret_controller_delete_user_secret) | **DELETE** /user/secrets/{secretId} | 
*SecretsApi* | [**get_organization_secret_controller_get_organization_secret**](docs/SecretsApi.md#get_organization_secret_controller_get_organization_secret) | **GET** /secrets/{orgFriendlyId}/{secretId} | 
*SecretsApi* | [**get_user_secret_controller_get_user_secret**](docs/SecretsApi.md#get_user_secret_controller_get_user_secret) | **GET** /user/secrets/{secretId} | 
*SecretsApi* | [**list_bench_secrets_controller_list_bench_secrets**](docs/SecretsApi.md#list_bench_secrets_controller_list_bench_secrets) | **GET** /computebenches/{orgFriendlyId}/{benchId}/secrets | 
*SecretsApi* | [**list_organization_secrets_controller_list_organization_secrets**](docs/SecretsApi.md#list_organization_secrets_controller_list_organization_secrets) | **GET** /secrets/{orgFriendlyId} | 
*SecretsApi* | [**list_user_secrets_controller_list_user_secrets**](docs/SecretsApi.md#list_user_secrets_controller_list_user_secrets) | **GET** /user/secrets | 
*SecretsApi* | [**update_organization_secret_controller_update_organization_secret**](docs/SecretsApi.md#update_organization_secret_controller_update_organization_secret) | **PATCH** /secrets/{orgFriendlyId}/{secretId} | 
*SecretsApi* | [**update_user_secret_controller_update_user_secret**](docs/SecretsApi.md#update_user_secret_controller_update_user_secret) | **PATCH** /user/secrets/{secretId} | 
*SshApi* | [**create_ssh_controller_create_ssh**](docs/SshApi.md#create_ssh_controller_create_ssh) | **POST** /ssh | 
*SshApi* | [**delete_ssh_controller_delete_ssh**](docs/SshApi.md#delete_ssh_controller_delete_ssh) | **DELETE** /ssh/{drn} | 
*SshApi* | [**get_ssh_controller_get_ssh**](docs/SshApi.md#get_ssh_controller_get_ssh) | **GET** /ssh/{drn} | 
*SshApi* | [**list_ssh_controller_list_ssh**](docs/SshApi.md#list_ssh_controller_list_ssh) | **GET** /ssh | 
*SshApi* | [**update_ssh_controller_update_ssh**](docs/SshApi.md#update_ssh_controller_update_ssh) | **PATCH** /ssh/{drn} | 
*SubscriptionsApi* | [**subscription_controller_delete_subscription**](docs/SubscriptionsApi.md#subscription_controller_delete_subscription) | **DELETE** /subscriptions/{orgFriendlyId}/{subscriptionId}/{immediately} | 
*SubscriptionsApi* | [**subscription_controller_delete_subscription_0**](docs/SubscriptionsApi.md#subscription_controller_delete_subscription_0) | **DELETE** /subscriptions/{orgFriendlyId}/{subscriptionId}/{immediately} | 
*SubscriptionsApi* | [**subscription_controller_get_active_subscriptions**](docs/SubscriptionsApi.md#subscription_controller_get_active_subscriptions) | **GET** /subscriptions/{orgFriendlyId} | 
*SubscriptionsApi* | [**subscription_controller_get_active_subscriptions_0**](docs/SubscriptionsApi.md#subscription_controller_get_active_subscriptions_0) | **GET** /subscriptions/{orgFriendlyId} | 
*SubscriptionsApi* | [**subscription_controller_get_all_subscriptions**](docs/SubscriptionsApi.md#subscription_controller_get_all_subscriptions) | **GET** /subscriptions/{orgFriendlyId}/all | 
*SubscriptionsApi* | [**subscription_controller_get_all_subscriptions_0**](docs/SubscriptionsApi.md#subscription_controller_get_all_subscriptions_0) | **GET** /subscriptions/{orgFriendlyId}/all | 
*SubscriptionsApi* | [**subscription_controller_get_features**](docs/SubscriptionsApi.md#subscription_controller_get_features) | **GET** /subscriptions/{orgFriendlyId}/features | 
*SubscriptionsApi* | [**subscription_controller_get_features_0**](docs/SubscriptionsApi.md#subscription_controller_get_features_0) | **GET** /subscriptions/{orgFriendlyId}/features | 
*SubscriptionsApi* | [**subscription_controller_get_past_subscriptions**](docs/SubscriptionsApi.md#subscription_controller_get_past_subscriptions) | **GET** /subscriptions/{orgFriendlyId}/past | 
*SubscriptionsApi* | [**subscription_controller_get_past_subscriptions_0**](docs/SubscriptionsApi.md#subscription_controller_get_past_subscriptions_0) | **GET** /subscriptions/{orgFriendlyId}/past | 
*SubscriptionsApi* | [**subscription_controller_update_subscription**](docs/SubscriptionsApi.md#subscription_controller_update_subscription) | **POST** /subscriptions/{orgFriendlyId} | 
*SubscriptionsApi* | [**subscription_controller_update_subscription_0**](docs/SubscriptionsApi.md#subscription_controller_update_subscription_0) | **POST** /subscriptions/{orgFriendlyId} | 
*ToolsApi* | [**tool_admin_executions_controller_get_admin_tool_executions**](docs/ToolsApi.md#tool_admin_executions_controller_get_admin_tool_executions) | **GET** /admin/tools/executions | 
*ToolsApi* | [**tool_executions_controller_action_tool_execution**](docs/ToolsApi.md#tool_executions_controller_action_tool_execution) | **PATCH** /tools/executions/{orgFriendlyId}/{executionId}:{action} | 
*ToolsApi* | [**tool_executions_controller_execute_tool**](docs/ToolsApi.md#tool_executions_controller_execute_tool) | **POST** /tools/{toolKey}/executions/{orgFriendlyId} | 
*ToolsApi* | [**tool_executions_controller_execute_tool_with_version**](docs/ToolsApi.md#tool_executions_controller_execute_tool_with_version) | **POST** /tools/{toolKey}/{toolVersion}/executions/{orgFriendlyId} | 
*ToolsApi* | [**tool_executions_controller_get_tool_execution**](docs/ToolsApi.md#tool_executions_controller_get_tool_execution) | **GET** /tools/executions/{orgFriendlyId}/{executionId} | 
*ToolsApi* | [**tool_executions_controller_get_tool_executions**](docs/ToolsApi.md#tool_executions_controller_get_tool_executions) | **GET** /tools/executions/{orgFriendlyId} | 
*ToolsApi* | [**tool_executions_controller_update_execution**](docs/ToolsApi.md#tool_executions_controller_update_execution) | **PATCH** /tools/executions/{orgFriendlyId}/{executionId} | 
*ToolsApi* | [**tools_definition_controller_create_tool**](docs/ToolsApi.md#tools_definition_controller_create_tool) | **POST** /tools/definitions | 
*ToolsApi* | [**tools_definition_controller_delete_tool**](docs/ToolsApi.md#tools_definition_controller_delete_tool) | **DELETE** /tools/{toolKey}/{toolVersion}/definitions | 
*ToolsApi* | [**tools_definition_controller_get_all_tools**](docs/ToolsApi.md#tools_definition_controller_get_all_tools) | **GET** /tools/definitions | 
*ToolsApi* | [**tools_definition_controller_get_tool**](docs/ToolsApi.md#tools_definition_controller_get_tool) | **GET** /tools/{toolKey}/definitions | 
*ToolsApi* | [**tools_definition_controller_get_versioned_tool**](docs/ToolsApi.md#tools_definition_controller_get_versioned_tool) | **GET** /tools/{toolKey}/{toolVersion}/definitions | 
*ToolsApi* | [**tools_definition_controller_update_tool**](docs/ToolsApi.md#tools_definition_controller_update_tool) | **PUT** /tools/{toolKey}/{toolVersion}/definitions | 
*UsersApi* | [**contact_us_controller_contact_us**](docs/UsersApi.md#contact_us_controller_contact_us) | **POST** /organizations/{orgFriendlyId}/contact/us | 
*UsersApi* | [**create_account_controller_account**](docs/UsersApi.md#create_account_controller_account) | **POST** /users | 
*UsersApi* | [**delete_organization_member_controller_delete_organization_member**](docs/UsersApi.md#delete_organization_member_controller_delete_organization_member) | **DELETE** /organizations/{orgFriendlyId}/users/{userAuthId} | 
*UsersApi* | [**delete_user_controller_delete_user**](docs/UsersApi.md#delete_user_controller_delete_user) | **DELETE** /user/{email} | 
*UsersApi* | [**get_last_tour_controller_get_tour_status**](docs/UsersApi.md#get_last_tour_controller_get_tour_status) | **GET** /users/tour | 
*UsersApi* | [**get_me_controller_get_account**](docs/UsersApi.md#get_me_controller_get_account) | **GET** /users/account | 
*UsersApi* | [**get_organization_user_controller_get_organization_user**](docs/UsersApi.md#get_organization_user_controller_get_organization_user) | **GET** /organizations/{orgFriendlyId}/users/{userId} | 
*UsersApi* | [**list_organization_users_controller_get_organization_users**](docs/UsersApi.md#list_organization_users_controller_get_organization_users) | **GET** /organizations/{orgFriendlyId}/users | 
*UsersApi* | [**list_organizations_controller_list_organizations**](docs/UsersApi.md#list_organizations_controller_list_organizations) | **GET** /organizations/me | 
*UsersApi* | [**resend_invite_controller_resend_invite_controller**](docs/UsersApi.md#resend_invite_controller_resend_invite_controller) | **POST** /users/account:{action} | 
*UsersApi* | [**update_me_controller_update_account**](docs/UsersApi.md#update_me_controller_update_account) | **PATCH** /users/me | 
*UsersApi* | [**update_organization_user_role_controller_update_organization_member_role**](docs/UsersApi.md#update_organization_user_role_controller_update_organization_member_role) | **PATCH** /organizations/{orgFriendlyId}/users/{userAuthId} | 
*UsersApi* | [**update_tour_status_controller_update_tour_status**](docs/UsersApi.md#update_tour_status_controller_update_tour_status) | **PUT** /users/tour | 
*VolumesApi* | [**create_volume_controller_create_volume**](docs/VolumesApi.md#create_volume_controller_create_volume) | **POST** /volumes/{orgFriendlyId} | 
*VolumesApi* | [**delete_volume_controller_delete_volume**](docs/VolumesApi.md#delete_volume_controller_delete_volume) | **DELETE** /volumes/{orgFriendlyId}/{resourceId} | 
*VolumesApi* | [**get_volume_controller_get_volume**](docs/VolumesApi.md#get_volume_controller_get_volume) | **GET** /volumes/{orgFriendlyId}/{resourceId} | 
*VolumesApi* | [**list_volumes_controller_list_volumes**](docs/VolumesApi.md#list_volumes_controller_list_volumes) | **GET** /volumes/{orgFriendlyId} | 
*VolumesApi* | [**update_volume_status_controller_update_volume_status_by_name**](docs/VolumesApi.md#update_volume_status_controller_update_volume_status_by_name) | **PATCH** /volumes/{orgFriendlyId}/{resourceId}/status | 
*WorkflowTasksApi* | [**create_workflow_task_controller_create_workflow_task**](docs/WorkflowTasksApi.md#create_workflow_task_controller_create_workflow_task) | **POST** /workflows/{orgFriendlyId}/{workflowId}/tasks | 
*WorkflowTasksApi* | [**get_workflow_task_controller_get_workflow_task**](docs/WorkflowTasksApi.md#get_workflow_task_controller_get_workflow_task) | **GET** /workflows/{orgFriendlyId}/{workflowId}/tasks/{taskId} | 
*WorkflowTasksApi* | [**list_workflow_task_controller_list_workflow_tasks**](docs/WorkflowTasksApi.md#list_workflow_task_controller_list_workflow_tasks) | **GET** /workflows/{orgFriendlyId}/{workflowId}/tasks | 
*WorkflowTasksApi* | [**update_workflow_task_controller_update_workflow_task**](docs/WorkflowTasksApi.md#update_workflow_task_controller_update_workflow_task) | **PATCH** /workflows/{orgFriendlyId}/{workflowId}/tasks/{taskId} | 
*WorkflowsApi* | [**create_workflow_controller_create_workflow**](docs/WorkflowsApi.md#create_workflow_controller_create_workflow) | **POST** /workflows/{orgFriendlyId} | 
*WorkflowsApi* | [**get_workflow_controller_get_workflow**](docs/WorkflowsApi.md#get_workflow_controller_get_workflow) | **GET** /workflows/{orgFriendlyId}/{workflowId} | 
*WorkflowsApi* | [**list_workflows_controller_list_workflows**](docs/WorkflowsApi.md#list_workflows_controller_list_workflows) | **GET** /workflows/{orgFriendlyId} | 
*WorkflowsApi* | [**update_workflow_status_controller_update_workflow_status**](docs/WorkflowsApi.md#update_workflow_status_controller_update_workflow_status) | **PATCH** /workflows/{orgFriendlyId}/{workflowId}/status | 


## Documentation For Models

 - [AWSSecretInputDto](docs/AWSSecretInputDto.md)
 - [AccessMethodDto](docs/AccessMethodDto.md)
 - [AccessSettingsDto](docs/AccessSettingsDto.md)
 - [AccessSettingsInputDto](docs/AccessSettingsInputDto.md)
 - [AccountsControllerGetSignupCode200Response](docs/AccountsControllerGetSignupCode200Response.md)
 - [AccountsControllerGetSignupCode200ResponseData](docs/AccountsControllerGetSignupCode200ResponseData.md)
 - [AddCreditsRequestDto](docs/AddCreditsRequestDto.md)
 - [AddCreditsResultDto](docs/AddCreditsResultDto.md)
 - [AdminOrganizationDto](docs/AdminOrganizationDto.md)
 - [AllComputeBenchesControllerAllComputeBenches200Response](docs/AllComputeBenchesControllerAllComputeBenches200Response.md)
 - [AllComputeBenchesControllerAllComputeBenches200ResponseDataInner](docs/AllComputeBenchesControllerAllComputeBenches200ResponseDataInner.md)
 - [ApplicationRequirementSpecificationObject](docs/ApplicationRequirementSpecificationObject.md)
 - [ApplicationRequirementsObject](docs/ApplicationRequirementsObject.md)
 - [ApplicationResponse](docs/ApplicationResponse.md)
 - [AwsSecretDto](docs/AwsSecretDto.md)
 - [AwsValueDto](docs/AwsValueDto.md)
 - [BillingAddressDto](docs/BillingAddressDto.md)
 - [BillingControllerGetBillingAddress200Response](docs/BillingControllerGetBillingAddress200Response.md)
 - [BillingControllerGetBillingAddress200ResponseData](docs/BillingControllerGetBillingAddress200ResponseData.md)
 - [BillingControllerGetCountries200Response](docs/BillingControllerGetCountries200Response.md)
 - [BillingControllerGetCountries200ResponseDataInner](docs/BillingControllerGetCountries200ResponseDataInner.md)
 - [BillingControllerGetInvoicePdfLink200Response](docs/BillingControllerGetInvoicePdfLink200Response.md)
 - [BillingControllerGetInvoicePdfLink200ResponseData](docs/BillingControllerGetInvoicePdfLink200ResponseData.md)
 - [BillingControllerGetPayment200Response](docs/BillingControllerGetPayment200Response.md)
 - [BillingControllerGetPayment200ResponseDataInner](docs/BillingControllerGetPayment200ResponseDataInner.md)
 - [BillingControllerUpdateBillingAddress200Response](docs/BillingControllerUpdateBillingAddress200Response.md)
 - [BlueprintObject](docs/BlueprintObject.md)
 - [CPUObject](docs/CPUObject.md)
 - [CaptureEventDto](docs/CaptureEventDto.md)
 - [CatalogItemReferenceObject](docs/CatalogItemReferenceObject.md)
 - [CloudRegion](docs/CloudRegion.md)
 - [CloudVendor](docs/CloudVendor.md)
 - [ClusterDto](docs/ClusterDto.md)
 - [ComputeBenchDto](docs/ComputeBenchDto.md)
 - [ComputeBenchStateDto](docs/ComputeBenchStateDto.md)
 - [ComputeBenchStatus](docs/ComputeBenchStatus.md)
 - [ComputeBenchStatusStage](docs/ComputeBenchStatusStage.md)
 - [ConfigurationSecretInputDto](docs/ConfigurationSecretInputDto.md)
 - [ConfigurationValueDto](docs/ConfigurationValueDto.md)
 - [ContactUsControllerContactUs200Response](docs/ContactUsControllerContactUs200Response.md)
 - [ContactUsControllerContactUs200ResponseDataInner](docs/ContactUsControllerContactUs200ResponseDataInner.md)
 - [ContactUsInputDto](docs/ContactUsInputDto.md)
 - [CountryDto](docs/CountryDto.md)
 - [CpuArchitectureObject](docs/CpuArchitectureObject.md)
 - [CreateAccountInputDto](docs/CreateAccountInputDto.md)
 - [CreateAccountInputV2Dto](docs/CreateAccountInputV2Dto.md)
 - [CreateComputeBenchControllerCreateComputeBench200Response](docs/CreateComputeBenchControllerCreateComputeBench200Response.md)
 - [CreateComputeBenchInputDto](docs/CreateComputeBenchInputDto.md)
 - [CreateCustomEntryPointInputDto](docs/CreateCustomEntryPointInputDto.md)
 - [CreateFileVolumeDto](docs/CreateFileVolumeDto.md)
 - [CreateOrganizationControllerCreateOrganization200Response](docs/CreateOrganizationControllerCreateOrganization200Response.md)
 - [CreateOrganizationControllerCreateOrganization200ResponseData](docs/CreateOrganizationControllerCreateOrganization200ResponseData.md)
 - [CreateOrganizationInputDto](docs/CreateOrganizationInputDto.md)
 - [CreateOrganizationSecretControllerCreateOrganizationSecret200Response](docs/CreateOrganizationSecretControllerCreateOrganizationSecret200Response.md)
 - [CreatePipelineInputDto](docs/CreatePipelineInputDto.md)
 - [CreateSecretInputDto](docs/CreateSecretInputDto.md)
 - [CreateSshControllerCreateSsh200Response](docs/CreateSshControllerCreateSsh200Response.md)
 - [CreateWorkflowControllerCreateWorkflow200Response](docs/CreateWorkflowControllerCreateWorkflow200Response.md)
 - [CreateWorkflowInputDto](docs/CreateWorkflowInputDto.md)
 - [CreditAccountBalanceDto](docs/CreditAccountBalanceDto.md)
 - [CreditControllerAddCredits200Response](docs/CreditControllerAddCredits200Response.md)
 - [CreditControllerAddCredits200ResponseData](docs/CreditControllerAddCredits200ResponseData.md)
 - [CreditControllerGetCreditBalance200Response](docs/CreditControllerGetCreditBalance200Response.md)
 - [CreditControllerGetCreditBalance200ResponseData](docs/CreditControllerGetCreditBalance200ResponseData.md)
 - [CreditControllerGetCreditsHistory200Response](docs/CreditControllerGetCreditsHistory200Response.md)
 - [CreditControllerGetCreditsHistory200ResponseDataInner](docs/CreditControllerGetCreditsHistory200ResponseDataInner.md)
 - [CreditControllerGetCreditsUsage200Response](docs/CreditControllerGetCreditsUsage200Response.md)
 - [CreditControllerGetCreditsUsage200ResponseDataInner](docs/CreditControllerGetCreditsUsage200ResponseDataInner.md)
 - [CreditControllerGetMonthlyBalance200Response](docs/CreditControllerGetMonthlyBalance200Response.md)
 - [CreditControllerGetMonthlyBalance200ResponseData](docs/CreditControllerGetMonthlyBalance200ResponseData.md)
 - [CreditHistoryDto](docs/CreditHistoryDto.md)
 - [CreditUsageDto](docs/CreditUsageDto.md)
 - [DeleteAllOrganizationControllerDeleteAllOrganization200Response](docs/DeleteAllOrganizationControllerDeleteAllOrganization200Response.md)
 - [DeleteAllOrganizationControllerDeleteAllOrganization200ResponseData](docs/DeleteAllOrganizationControllerDeleteAllOrganization200ResponseData.md)
 - [DeleteAllOrganizationResponseDto](docs/DeleteAllOrganizationResponseDto.md)
 - [DeleteOrganizationMemberControllerDeleteOrganizationMember200Response](docs/DeleteOrganizationMemberControllerDeleteOrganizationMember200Response.md)
 - [DeleteOrganizationMemberControllerDeleteOrganizationMember200ResponseData](docs/DeleteOrganizationMemberControllerDeleteOrganizationMember200ResponseData.md)
 - [DeleteUserControllerDeleteUser200Response](docs/DeleteUserControllerDeleteUser200Response.md)
 - [DescribedExternalEntityObject](docs/DescribedExternalEntityObject.md)
 - [EntryPointReferenceObject](docs/EntryPointReferenceObject.md)
 - [EnvironmentSecretInputDto](docs/EnvironmentSecretInputDto.md)
 - [EnvironmentValueDto](docs/EnvironmentValueDto.md)
 - [EnvironmentVariableDto](docs/EnvironmentVariableDto.md)
 - [ErrorDTo](docs/ErrorDTo.md)
 - [EventName](docs/EventName.md)
 - [ExecuteToolDto](docs/ExecuteToolDto.md)
 - [ExposedSecretsFullDto](docs/ExposedSecretsFullDto.md)
 - [ExternalEntityObject](docs/ExternalEntityObject.md)
 - [FSXStorageType](docs/FSXStorageType.md)
 - [FeaturesDto](docs/FeaturesDto.md)
 - [FileVolumeConfigurationDto](docs/FileVolumeConfigurationDto.md)
 - [GPGSecretDto](docs/GPGSecretDto.md)
 - [GPGSecretInputDto](docs/GPGSecretInputDto.md)
 - [GPGValueDto](docs/GPGValueDto.md)
 - [GPUObject](docs/GPUObject.md)
 - [GPUSize](docs/GPUSize.md)
 - [GetHealthControllerCheck200Response](docs/GetHealthControllerCheck200Response.md)
 - [GetHealthControllerCheck200ResponseInfoValue](docs/GetHealthControllerCheck200ResponseInfoValue.md)
 - [GetHealthControllerCheck503Response](docs/GetHealthControllerCheck503Response.md)
 - [GetInvoicesControllerGetInvoices200Response](docs/GetInvoicesControllerGetInvoices200Response.md)
 - [GetInvoicesControllerGetInvoices200ResponseData](docs/GetInvoicesControllerGetInvoices200ResponseData.md)
 - [GetLastTourControllerGetTourStatus200Response](docs/GetLastTourControllerGetTourStatus200Response.md)
 - [GetLastTourControllerGetTourStatus200ResponseData](docs/GetLastTourControllerGetTourStatus200ResponseData.md)
 - [GetMeControllerGetAccount200Response](docs/GetMeControllerGetAccount200Response.md)
 - [GetMeControllerGetAccount200ResponseData](docs/GetMeControllerGetAccount200ResponseData.md)
 - [GetMeOutputDto](docs/GetMeOutputDto.md)
 - [GetOrganizationInviteControllerGetOrganizationInvite200Response](docs/GetOrganizationInviteControllerGetOrganizationInvite200Response.md)
 - [GetOrganizationInviteControllerGetOrganizationInvite200ResponseData](docs/GetOrganizationInviteControllerGetOrganizationInvite200ResponseData.md)
 - [GetPipelineControllerGetPipeline200Response](docs/GetPipelineControllerGetPipeline200Response.md)
 - [GetPipelineControllerGetPipeline200ResponseData](docs/GetPipelineControllerGetPipeline200ResponseData.md)
 - [GetSubscriptionsResultsDto](docs/GetSubscriptionsResultsDto.md)
 - [GitSecretDto](docs/GitSecretDto.md)
 - [GitSecretInputDto](docs/GitSecretInputDto.md)
 - [GitValueDto](docs/GitValueDto.md)
 - [GpuArchitectureObject](docs/GpuArchitectureObject.md)
 - [HTTPErrorObjectDto](docs/HTTPErrorObjectDto.md)
 - [HTTPSourceObjectDto](docs/HTTPSourceObjectDto.md)
 - [HardwareObject](docs/HardwareObject.md)
 - [HardwareRequirementsObject](docs/HardwareRequirementsObject.md)
 - [HttpLinksDto](docs/HttpLinksDto.md)
 - [HttpListResponseBaseDto](docs/HttpListResponseBaseDto.md)
 - [HttpResponseBaseDto](docs/HttpResponseBaseDto.md)
 - [HttpResponseDataBase](docs/HttpResponseDataBase.md)
 - [InviteUserToOrgInputDto](docs/InviteUserToOrgInputDto.md)
 - [InvoiceDto](docs/InvoiceDto.md)
 - [JsonSchemaObjectObjectSchemaDTO](docs/JsonSchemaObjectObjectSchemaDTO.md)
 - [JsonSchemaObjectObjectSchemaDTOConst](docs/JsonSchemaObjectObjectSchemaDTOConst.md)
 - [JsonSchemaObjectObjectSchemaDTODefault](docs/JsonSchemaObjectObjectSchemaDTODefault.md)
 - [JsonSchemaObjectObjectSchemaDTOErrorMessageValue](docs/JsonSchemaObjectObjectSchemaDTOErrorMessageValue.md)
 - [JsonSchemaObjectObjectSchemaDTOExclusiveMinimum](docs/JsonSchemaObjectObjectSchemaDTOExclusiveMinimum.md)
 - [JsonSchemaObjectObjectSchemaDTORequired](docs/JsonSchemaObjectObjectSchemaDTORequired.md)
 - [JsonSchemaObjectObjectSchemaDTOType](docs/JsonSchemaObjectObjectSchemaDTOType.md)
 - [LinkResponseDto](docs/LinkResponseDto.md)
 - [ListAdminOrganizationsControllerGetOrganizations200Response](docs/ListAdminOrganizationsControllerGetOrganizations200Response.md)
 - [ListAdminOrganizationsControllerGetOrganizations200ResponseDataInner](docs/ListAdminOrganizationsControllerGetOrganizations200ResponseDataInner.md)
 - [ListAllApplicationsControllerListAllApplications200Response](docs/ListAllApplicationsControllerListAllApplications200Response.md)
 - [ListAllApplicationsControllerListAllApplications200ResponseDataInner](docs/ListAllApplicationsControllerListAllApplications200ResponseDataInner.md)
 - [ListAllBlueprintsControllerListAllBlueprints200Response](docs/ListAllBlueprintsControllerListAllBlueprints200Response.md)
 - [ListAllBlueprintsControllerListAllBlueprints200ResponseDataInner](docs/ListAllBlueprintsControllerListAllBlueprints200ResponseDataInner.md)
 - [ListAllNotebooksControllerListAllNotebooks200Response](docs/ListAllNotebooksControllerListAllNotebooks200Response.md)
 - [ListAllNotebooksControllerListAllNotebooks200ResponseDataInner](docs/ListAllNotebooksControllerListAllNotebooks200ResponseDataInner.md)
 - [ListAllOperatingSystemsControllerListAllOperatingSystems200Response](docs/ListAllOperatingSystemsControllerListAllOperatingSystems200Response.md)
 - [ListAllOperatingSystemsControllerListAllOperatingSystems200ResponseDataInner](docs/ListAllOperatingSystemsControllerListAllOperatingSystems200ResponseDataInner.md)
 - [ListBenchSecretsControllerListBenchSecrets200Response](docs/ListBenchSecretsControllerListBenchSecrets200Response.md)
 - [ListBenchSecretsControllerListBenchSecrets200ResponseDataInner](docs/ListBenchSecretsControllerListBenchSecrets200ResponseDataInner.md)
 - [ListClustersControllerListClusters200Response](docs/ListClustersControllerListClusters200Response.md)
 - [ListClustersControllerListClusters200ResponseDataInner](docs/ListClustersControllerListClusters200ResponseDataInner.md)
 - [ListOrganizationSecretsControllerListOrganizationSecrets200Response](docs/ListOrganizationSecretsControllerListOrganizationSecrets200Response.md)
 - [ListOrganizationSecretsControllerListOrganizationSecrets200ResponseDataInner](docs/ListOrganizationSecretsControllerListOrganizationSecrets200ResponseDataInner.md)
 - [ListOrganizationUsersControllerGetOrganizationUsers200Response](docs/ListOrganizationUsersControllerGetOrganizationUsers200Response.md)
 - [ListOrganizationUsersControllerGetOrganizationUsers200ResponseDataInner](docs/ListOrganizationUsersControllerGetOrganizationUsers200ResponseDataInner.md)
 - [ListOrganizationsControllerListOrganizations200Response](docs/ListOrganizationsControllerListOrganizations200Response.md)
 - [ListPipelinesControllerListPipelines200Response](docs/ListPipelinesControllerListPipelines200Response.md)
 - [ListSshControllerListSsh200Response](docs/ListSshControllerListSsh200Response.md)
 - [ListSshControllerListSsh200ResponseDataInner](docs/ListSshControllerListSsh200ResponseDataInner.md)
 - [ListVolumesControllerListVolumes200Response](docs/ListVolumesControllerListVolumes200Response.md)
 - [ListWorkflowTaskControllerListWorkflowTasks200Response](docs/ListWorkflowTaskControllerListWorkflowTasks200Response.md)
 - [ListWorkflowTaskControllerListWorkflowTasks200ResponseData](docs/ListWorkflowTaskControllerListWorkflowTasks200ResponseData.md)
 - [ListWorkflowsControllerListWorkflows200Response](docs/ListWorkflowsControllerListWorkflows200Response.md)
 - [ListWorkflowsControllerListWorkflows200ResponseDataInner](docs/ListWorkflowsControllerListWorkflows200ResponseDataInner.md)
 - [MonthlyCreditUsageDto](docs/MonthlyCreditUsageDto.md)
 - [MonthlyCreditUsageItemDto](docs/MonthlyCreditUsageItemDto.md)
 - [NodeTypeResponse](docs/NodeTypeResponse.md)
 - [NotebookObject](docs/NotebookObject.md)
 - [OperatingSystemObject](docs/OperatingSystemObject.md)
 - [OperatingSystemRequirementSpecificationObject](docs/OperatingSystemRequirementSpecificationObject.md)
 - [OrganizationDto](docs/OrganizationDto.md)
 - [OrganizationInviteDto](docs/OrganizationInviteDto.md)
 - [OrganizationUserDto](docs/OrganizationUserDto.md)
 - [PaymentMethodDto](docs/PaymentMethodDto.md)
 - [PermissableSubject](docs/PermissableSubject.md)
 - [PermissionAction](docs/PermissionAction.md)
 - [PermissionDto](docs/PermissionDto.md)
 - [PipelineDto](docs/PipelineDto.md)
 - [Platform](docs/Platform.md)
 - [PortDto](docs/PortDto.md)
 - [ReferenceStorageDto](docs/ReferenceStorageDto.md)
 - [RegisterClusterControllerRegister200Response](docs/RegisterClusterControllerRegister200Response.md)
 - [RegisterClusterInputDto](docs/RegisterClusterInputDto.md)
 - [RequestedCloudProviderDto](docs/RequestedCloudProviderDto.md)
 - [RequestedCloudProviderInput](docs/RequestedCloudProviderInput.md)
 - [RequirementsObject](docs/RequirementsObject.md)
 - [ResendInviteDto](docs/ResendInviteDto.md)
 - [ResourceRequirementDto](docs/ResourceRequirementDto.md)
 - [ResourcesRequestDto](docs/ResourcesRequestDto.md)
 - [RoleDto](docs/RoleDto.md)
 - [RoleName](docs/RoleName.md)
 - [RunFunctionDTO](docs/RunFunctionDTO.md)
 - [ScratchStorageDto](docs/ScratchStorageDto.md)
 - [SecretConfigurationValueDto](docs/SecretConfigurationValueDto.md)
 - [SecretEnvironmentValueDto](docs/SecretEnvironmentValueDto.md)
 - [SecretInputDto](docs/SecretInputDto.md)
 - [SecretLocalType](docs/SecretLocalType.md)
 - [SecretsDto](docs/SecretsDto.md)
 - [SecretsDtoSecret](docs/SecretsDtoSecret.md)
 - [SharedVolumeType](docs/SharedVolumeType.md)
 - [SshDto](docs/SshDto.md)
 - [SshSecretDto](docs/SshSecretDto.md)
 - [SshSecretInputDto](docs/SshSecretInputDto.md)
 - [SshValueDto](docs/SshValueDto.md)
 - [SubscriptionControllerGetActiveSubscriptions200Response](docs/SubscriptionControllerGetActiveSubscriptions200Response.md)
 - [SubscriptionControllerGetActiveSubscriptions200ResponseDataInner](docs/SubscriptionControllerGetActiveSubscriptions200ResponseDataInner.md)
 - [SubscriptionControllerGetAllSubscriptions200Response](docs/SubscriptionControllerGetAllSubscriptions200Response.md)
 - [SubscriptionControllerGetAllSubscriptions200ResponseData](docs/SubscriptionControllerGetAllSubscriptions200ResponseData.md)
 - [SubscriptionControllerGetFeatures200Response](docs/SubscriptionControllerGetFeatures200Response.md)
 - [SubscriptionControllerGetFeatures200ResponseDataInner](docs/SubscriptionControllerGetFeatures200ResponseDataInner.md)
 - [SubscriptionGroupDto](docs/SubscriptionGroupDto.md)
 - [SubscriptionMetaDataDto](docs/SubscriptionMetaDataDto.md)
 - [SubscriptionsPlansDto](docs/SubscriptionsPlansDto.md)
 - [SuccessDto](docs/SuccessDto.md)
 - [ToolExecutorDto](docs/ToolExecutorDto.md)
 - [ToolExecutorDtoStorageRequirementsInner](docs/ToolExecutorDtoStorageRequirementsInner.md)
 - [ToolManifestDto](docs/ToolManifestDto.md)
 - [TourDto](docs/TourDto.md)
 - [UpdateBillingAddressDto](docs/UpdateBillingAddressDto.md)
 - [UpdateComputeBenchInputDto](docs/UpdateComputeBenchInputDto.md)
 - [UpdateComputeBenchStatusDto](docs/UpdateComputeBenchStatusDto.md)
 - [UpdateExecutionInputDto](docs/UpdateExecutionInputDto.md)
 - [UpdateMeInputDto](docs/UpdateMeInputDto.md)
 - [UpdateOrganizationInputDto](docs/UpdateOrganizationInputDto.md)
 - [UpdateOrganizationStatusInputDto](docs/UpdateOrganizationStatusInputDto.md)
 - [UpdateOrganizationUserRoleInputDto](docs/UpdateOrganizationUserRoleInputDto.md)
 - [UpdatePaymentInputDto](docs/UpdatePaymentInputDto.md)
 - [UpdateSubscriptionDto](docs/UpdateSubscriptionDto.md)
 - [UpdateTourStatusDto](docs/UpdateTourStatusDto.md)
 - [UpdateVolumeStatusControllerUpdateVolumeStatusByName200Response](docs/UpdateVolumeStatusControllerUpdateVolumeStatusByName200Response.md)
 - [UpdateVolumeStatusControllerUpdateVolumeStatusByName200ResponseData](docs/UpdateVolumeStatusControllerUpdateVolumeStatusByName200ResponseData.md)
 - [UpdateVolumeStatusPayloadDto](docs/UpdateVolumeStatusPayloadDto.md)
 - [UpdateWorkflowInputDto](docs/UpdateWorkflowInputDto.md)
 - [UserAction](docs/UserAction.md)
 - [UserDto](docs/UserDto.md)
 - [UserSignupDto](docs/UserSignupDto.md)
 - [VOLUMESTATUS](docs/VOLUMESTATUS.md)
 - [VersionRequirementObject](docs/VersionRequirementObject.md)
 - [VolumeDto](docs/VolumeDto.md)
 - [VolumeSpecDto](docs/VolumeSpecDto.md)
 - [VolumeStatusEventMetadata](docs/VolumeStatusEventMetadata.md)
 - [WorkflowDto](docs/WorkflowDto.md)
 - [WorkflowEngines](docs/WorkflowEngines.md)
 - [WorkflowTaskInputDto](docs/WorkflowTaskInputDto.md)
 - [WorkflowTaskResponseDto](docs/WorkflowTaskResponseDto.md)
 - [WorkflowTaskUpdateDto](docs/WorkflowTaskUpdateDto.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearer"></a>
### bearer

- **Type**: Bearer authentication (JWT)

<a id="api-key"></a>
### api-key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author




