# coding: utf-8

"""
    Computebench Service API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictStr, field_validator
from typing import Any, ClassVar, Dict, List, Optional
from typing import Optional, Set
from typing_extensions import Self

class CreatePipelineInputDto(BaseModel):
    """
    CreatePipelineInputDto
    """ # noqa: E501
    name: StrictStr = Field(description="The name of the pipeline")
    summary: Optional[StrictStr] = Field(default=None, description="A summary of the pipeline")
    version: StrictStr = Field(description="The version of the pipeline")
    pipeline_language: StrictStr = Field(description="The language of the pipeline", alias="pipelineLanguage")
    pipeline_language_version: StrictStr = Field(description="The version of the pipeline language", alias="pipelineLanguageVersion")
    pipeline_url: StrictStr = Field(description="The URL to the pipeline", alias="pipelineUrl")
    schema_url: StrictStr = Field(description="The URL to the pipeline schema", alias="schemaUrl")
    sample_schema_url: Optional[StrictStr] = Field(default=None, description="The URL to the sample sheet schema", alias="sampleSchemaUrl")
    __properties: ClassVar[List[str]] = ["name", "summary", "version", "pipelineLanguage", "pipelineLanguageVersion", "pipelineUrl", "schemaUrl", "sampleSchemaUrl"]

    @field_validator('pipeline_language')
    def pipeline_language_validate_enum(cls, value):
        """Validates the enum"""
        if value not in set(['nextflow', 'snakemake']):
            raise ValueError("must be one of enum values ('nextflow', 'snakemake')")
        return value

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of CreatePipelineInputDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of CreatePipelineInputDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "summary": obj.get("summary"),
            "version": obj.get("version"),
            "pipelineLanguage": obj.get("pipelineLanguage"),
            "pipelineLanguageVersion": obj.get("pipelineLanguageVersion"),
            "pipelineUrl": obj.get("pipelineUrl"),
            "schemaUrl": obj.get("schemaUrl"),
            "sampleSchemaUrl": obj.get("sampleSchemaUrl")
        })
        return _obj


