# coding: utf-8

"""
    Computebench Service API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictFloat, StrictInt, StrictStr
from typing import Any, ClassVar, Dict, List, Optional, Union
from do_sdk_platform.models.cpu_object import CPUObject
from do_sdk_platform.models.gpu_object import GPUObject
from typing import Optional, Set
from typing_extensions import Self

class HardwareObject(BaseModel):
    """
    HardwareObject
    """ # noqa: E501
    cpu: Optional[CPUObject]
    gpu: Optional[GPUObject]
    asic_id: Optional[StrictStr] = Field(description="Storage amount in GB", alias="asicId")
    storage_gb: Optional[Union[StrictFloat, StrictInt]] = Field(description="Storage amount in GB", alias="storageGb")
    bandwidth_gb_sec: Optional[Union[StrictFloat, StrictInt]] = Field(description="Bandwidth amount in GB per second", alias="bandwidthGbSec")
    __properties: ClassVar[List[str]] = ["cpu", "gpu", "asicId", "storageGb", "bandwidthGbSec"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of HardwareObject from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of cpu
        if self.cpu:
            _dict['cpu'] = self.cpu.to_dict()
        # override the default output from pydantic by calling `to_dict()` of gpu
        if self.gpu:
            _dict['gpu'] = self.gpu.to_dict()
        # set to None if cpu (nullable) is None
        # and model_fields_set contains the field
        if self.cpu is None and "cpu" in self.model_fields_set:
            _dict['cpu'] = None

        # set to None if gpu (nullable) is None
        # and model_fields_set contains the field
        if self.gpu is None and "gpu" in self.model_fields_set:
            _dict['gpu'] = None

        # set to None if asic_id (nullable) is None
        # and model_fields_set contains the field
        if self.asic_id is None and "asic_id" in self.model_fields_set:
            _dict['asicId'] = None

        # set to None if storage_gb (nullable) is None
        # and model_fields_set contains the field
        if self.storage_gb is None and "storage_gb" in self.model_fields_set:
            _dict['storageGb'] = None

        # set to None if bandwidth_gb_sec (nullable) is None
        # and model_fields_set contains the field
        if self.bandwidth_gb_sec is None and "bandwidth_gb_sec" in self.model_fields_set:
            _dict['bandwidthGbSec'] = None

        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of HardwareObject from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "cpu": CPUObject.from_dict(obj["cpu"]) if obj.get("cpu") is not None else None,
            "gpu": GPUObject.from_dict(obj["gpu"]) if obj.get("gpu") is not None else None,
            "asicId": obj.get("asicId"),
            "storageGb": obj.get("storageGb"),
            "bandwidthGbSec": obj.get("bandwidthGbSec")
        })
        return _obj


