# coding: utf-8

"""
    Computebench Service API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictFloat, StrictInt, StrictStr, field_validator
from typing import Any, ClassVar, Dict, List, Optional, Union
from do_sdk_platform.models.environment_variable_dto import EnvironmentVariableDto
from do_sdk_platform.models.port_dto import PortDto
from do_sdk_platform.models.resource_requirement_dto import ResourceRequirementDto
from do_sdk_platform.models.tool_executor_dto_storage_requirements_inner import ToolExecutorDtoStorageRequirementsInner
from typing import Optional, Set
from typing_extensions import Self

class ToolExecutorDto(BaseModel):
    """
    ToolExecutorDto
    """ # noqa: E501
    name: StrictStr = Field(description="A name for this executor.")
    head: Dict[str, Any] = Field(description="The executor that acts as the leader.  Only one executor should be the head.")
    type: StrictStr = Field(description="The type of executor, which controls how to execute the Executor \"job\" will execute it as a job that runs, and ends \"service\" will ensure it is running during the entire execution of all Executors")
    restart_policy: StrictStr = Field(description="How to handle restarts if the executor stops running.", alias="restartPolicy")
    phase: Optional[Union[StrictFloat, StrictInt]] = Field(default=None, description="For multi-step Tools, this controls at which step to run this particular executor")
    image: StrictStr = Field(description="The docker image URL to be executed.")
    command: Optional[List[StrictStr]] = Field(default=None, description="Provides an override command for the image specified.")
    args: Optional[List[StrictStr]] = Field(default=None, description="Arguments to pass into the command.")
    working_directory: Optional[StrictStr] = Field(default=None, description="The working directory in the image.", alias="workingDirectory")
    stdin: Optional[StrictStr] = Field(default=None, description="The log location within the container for \"stdin\".")
    stdout: Optional[StrictStr] = Field(default=None, description="The log location within the container for \"stdout\".")
    stderr: Optional[StrictStr] = Field(default=None, description="The log location within the container for \"stderr\".")
    environment: List[EnvironmentVariableDto] = Field(description="Environment variables for this executor.")
    ports: List[PortDto] = Field(description="Ports this executor exposes.")
    resource_requirements: ResourceRequirementDto = Field(description="Resource requirements for this executor.", alias="resourceRequirements")
    storage_requirements: List[ToolExecutorDtoStorageRequirementsInner] = Field(description="Storage requirements for this executor.", alias="storageRequirements")
    __properties: ClassVar[List[str]] = ["name", "head", "type", "restartPolicy", "phase", "image", "command", "args", "workingDirectory", "stdin", "stdout", "stderr", "environment", "ports", "resourceRequirements", "storageRequirements"]

    @field_validator('type')
    def type_validate_enum(cls, value):
        """Validates the enum"""
        if value not in set(['job', 'service']):
            raise ValueError("must be one of enum values ('job', 'service')")
        return value

    @field_validator('restart_policy')
    def restart_policy_validate_enum(cls, value):
        """Validates the enum"""
        if value not in set(['never', 'always', 'on-failure', 'exit-code']):
            raise ValueError("must be one of enum values ('never', 'always', 'on-failure', 'exit-code')")
        return value

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of ToolExecutorDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in environment (list)
        _items = []
        if self.environment:
            for _item_environment in self.environment:
                if _item_environment:
                    _items.append(_item_environment.to_dict())
            _dict['environment'] = _items
        # override the default output from pydantic by calling `to_dict()` of each item in ports (list)
        _items = []
        if self.ports:
            for _item_ports in self.ports:
                if _item_ports:
                    _items.append(_item_ports.to_dict())
            _dict['ports'] = _items
        # override the default output from pydantic by calling `to_dict()` of resource_requirements
        if self.resource_requirements:
            _dict['resourceRequirements'] = self.resource_requirements.to_dict()
        # override the default output from pydantic by calling `to_dict()` of each item in storage_requirements (list)
        _items = []
        if self.storage_requirements:
            for _item_storage_requirements in self.storage_requirements:
                if _item_storage_requirements:
                    _items.append(_item_storage_requirements.to_dict())
            _dict['storageRequirements'] = _items
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of ToolExecutorDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "name": obj.get("name"),
            "head": obj.get("head"),
            "type": obj.get("type"),
            "restartPolicy": obj.get("restartPolicy"),
            "phase": obj.get("phase"),
            "image": obj.get("image"),
            "command": obj.get("command"),
            "args": obj.get("args"),
            "workingDirectory": obj.get("workingDirectory"),
            "stdin": obj.get("stdin"),
            "stdout": obj.get("stdout"),
            "stderr": obj.get("stderr"),
            "environment": [EnvironmentVariableDto.from_dict(_item) for _item in obj["environment"]] if obj.get("environment") is not None else None,
            "ports": [PortDto.from_dict(_item) for _item in obj["ports"]] if obj.get("ports") is not None else None,
            "resourceRequirements": ResourceRequirementDto.from_dict(obj["resourceRequirements"]) if obj.get("resourceRequirements") is not None else None,
            "storageRequirements": [ToolExecutorDtoStorageRequirementsInner.from_dict(_item) for _item in obj["storageRequirements"]] if obj.get("storageRequirements") is not None else None
        })
        return _obj


