# coding: utf-8

"""
    Computebench Service API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictStr, field_validator
from typing import Any, ClassVar, Dict, List, Optional
from do_sdk_platform.models.resource_requirement_dto import ResourceRequirementDto
from typing import Optional, Set
from typing_extensions import Self

class UpdateExecutionInputDto(BaseModel):
    """
    UpdateExecutionInputDto
    """ # noqa: E501
    status: Optional[StrictStr] = Field(default=None, description="The new Status of the execution")
    started_at: Optional[datetime] = Field(default=None, description="When execution was started", alias="startedAt")
    completed_at: Optional[datetime] = Field(default=None, description="When execution was completed", alias="completedAt")
    job_outputs: Optional[Dict[str, Any]] = Field(default=None, description="The outputs provided by the user to execute the specified tool", alias="jobOutputs")
    resources_used: Optional[ResourceRequirementDto] = Field(default=None, description="The resources used", alias="resourcesUsed")
    progress_report: Optional[StrictStr] = Field(default=None, description="Progress report", alias="progressReport")
    metadata: Optional[Dict[str, Any]] = Field(default=None, description="Metadata about the execution")
    name: Optional[StrictStr] = Field(default=None, description="The name of the job")
    __properties: ClassVar[List[str]] = ["status", "startedAt", "completedAt", "jobOutputs", "resourcesUsed", "progressReport", "metadata", "name"]

    @field_validator('status')
    def status_validate_enum(cls, value):
        """Validates the enum"""
        if value is None:
            return value

        if value not in set(['Created', 'Accepted', 'Queued', 'Running', 'Suspended', 'Finishing', 'Succeeded', 'Failed', 'Cancelled']):
            raise ValueError("must be one of enum values ('Created', 'Accepted', 'Queued', 'Running', 'Suspended', 'Finishing', 'Succeeded', 'Failed', 'Cancelled')")
        return value

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of UpdateExecutionInputDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of resources_used
        if self.resources_used:
            _dict['resourcesUsed'] = self.resources_used.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of UpdateExecutionInputDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "status": obj.get("status"),
            "startedAt": obj.get("startedAt"),
            "completedAt": obj.get("completedAt"),
            "jobOutputs": obj.get("jobOutputs"),
            "resourcesUsed": ResourceRequirementDto.from_dict(obj["resourcesUsed"]) if obj.get("resourcesUsed") is not None else None,
            "progressReport": obj.get("progressReport"),
            "metadata": obj.get("metadata"),
            "name": obj.get("name")
        })
        return _obj


