# coding: utf-8

"""
    Computebench Service API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

    The version of the OpenAPI document: 1.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime
from pydantic import BaseModel, ConfigDict, Field, StrictStr, field_validator
from typing import Any, ClassVar, Dict, List, Optional
from do_sdk_platform.models.cluster_dto import ClusterDto
from typing import Optional, Set
from typing_extensions import Self

class WorkflowDto(BaseModel):
    """
    WorkflowDto
    """ # noqa: E501
    pipeline_id: Optional[StrictStr] = Field(description="The id of the pipeline executed by the workflow", alias="pipelineId")
    org_drn: Optional[StrictStr] = Field(description="The drn of the organization that owns the workflow", alias="orgDrn")
    name: Optional[StrictStr] = Field(description="The name of the workflow")
    created_by: Optional[StrictStr] = Field(description="DRN of the user who created the workflow", alias="createdBy")
    drn: Optional[StrictStr] = Field(description="DRN for the Workflow")
    created_at: Optional[datetime] = Field(description="Date the resource was created at", alias="createdAt")
    updated_at: Optional[datetime] = Field(description="Date the resource was last updated at", alias="updatedAt")
    output_directory: Optional[StrictStr] = Field(description="Location of the outputs of the workflow", alias="outputDirectory")
    parameters: Optional[Dict[str, Any]] = Field(description="Parameters for the workflow")
    working_dir: Optional[StrictStr] = Field(description="Working directory for the workflow", alias="workingDir")
    correlation_id: Optional[StrictStr] = Field(description="Correlation id for the workflow execution", alias="correlationId")
    workflow_language: Optional[StrictStr] = Field(description="Workflow language for the workflow", alias="workflowLanguage")
    cluster: Optional[ClusterDto] = Field(description="The id of the cluster the workflow is running on")
    status: Optional[StrictStr] = Field(description="The status of the workflow")
    summary: Optional[StrictStr] = Field(description="The summary of the workflow")
    completed_at: Optional[datetime] = Field(description="Date the workflow was completed at", alias="completedAt")
    volume_mounts: List[StrictStr] = Field(description="Volume Mounts", alias="volumeMounts")
    engine_parameters: Optional[Dict[str, Any]] = Field(description="Parameters for the workflow", alias="engineParameters")
    __properties: ClassVar[List[str]] = ["pipelineId", "orgDrn", "name", "createdBy", "drn", "createdAt", "updatedAt", "outputDirectory", "parameters", "workingDir", "correlationId", "workflowLanguage", "cluster", "status", "summary", "completedAt", "volumeMounts", "engineParameters"]

    @field_validator('status')
    def status_validate_enum(cls, value):
        """Validates the enum"""
        if value is None:
            return value

        if value not in set(['Pending', 'Running', 'Succeeded', 'Failed', 'Unknown']):
            raise ValueError("must be one of enum values ('Pending', 'Running', 'Succeeded', 'Failed', 'Unknown')")
        return value

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of WorkflowDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of cluster
        if self.cluster:
            _dict['cluster'] = self.cluster.to_dict()
        # set to None if pipeline_id (nullable) is None
        # and model_fields_set contains the field
        if self.pipeline_id is None and "pipeline_id" in self.model_fields_set:
            _dict['pipelineId'] = None

        # set to None if org_drn (nullable) is None
        # and model_fields_set contains the field
        if self.org_drn is None and "org_drn" in self.model_fields_set:
            _dict['orgDrn'] = None

        # set to None if name (nullable) is None
        # and model_fields_set contains the field
        if self.name is None and "name" in self.model_fields_set:
            _dict['name'] = None

        # set to None if created_by (nullable) is None
        # and model_fields_set contains the field
        if self.created_by is None and "created_by" in self.model_fields_set:
            _dict['createdBy'] = None

        # set to None if drn (nullable) is None
        # and model_fields_set contains the field
        if self.drn is None and "drn" in self.model_fields_set:
            _dict['drn'] = None

        # set to None if created_at (nullable) is None
        # and model_fields_set contains the field
        if self.created_at is None and "created_at" in self.model_fields_set:
            _dict['createdAt'] = None

        # set to None if updated_at (nullable) is None
        # and model_fields_set contains the field
        if self.updated_at is None and "updated_at" in self.model_fields_set:
            _dict['updatedAt'] = None

        # set to None if output_directory (nullable) is None
        # and model_fields_set contains the field
        if self.output_directory is None and "output_directory" in self.model_fields_set:
            _dict['outputDirectory'] = None

        # set to None if parameters (nullable) is None
        # and model_fields_set contains the field
        if self.parameters is None and "parameters" in self.model_fields_set:
            _dict['parameters'] = None

        # set to None if working_dir (nullable) is None
        # and model_fields_set contains the field
        if self.working_dir is None and "working_dir" in self.model_fields_set:
            _dict['workingDir'] = None

        # set to None if correlation_id (nullable) is None
        # and model_fields_set contains the field
        if self.correlation_id is None and "correlation_id" in self.model_fields_set:
            _dict['correlationId'] = None

        # set to None if workflow_language (nullable) is None
        # and model_fields_set contains the field
        if self.workflow_language is None and "workflow_language" in self.model_fields_set:
            _dict['workflowLanguage'] = None

        # set to None if cluster (nullable) is None
        # and model_fields_set contains the field
        if self.cluster is None and "cluster" in self.model_fields_set:
            _dict['cluster'] = None

        # set to None if status (nullable) is None
        # and model_fields_set contains the field
        if self.status is None and "status" in self.model_fields_set:
            _dict['status'] = None

        # set to None if summary (nullable) is None
        # and model_fields_set contains the field
        if self.summary is None and "summary" in self.model_fields_set:
            _dict['summary'] = None

        # set to None if completed_at (nullable) is None
        # and model_fields_set contains the field
        if self.completed_at is None and "completed_at" in self.model_fields_set:
            _dict['completedAt'] = None

        # set to None if engine_parameters (nullable) is None
        # and model_fields_set contains the field
        if self.engine_parameters is None and "engine_parameters" in self.model_fields_set:
            _dict['engineParameters'] = None

        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of WorkflowDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "pipelineId": obj.get("pipelineId"),
            "orgDrn": obj.get("orgDrn"),
            "name": obj.get("name"),
            "createdBy": obj.get("createdBy"),
            "drn": obj.get("drn"),
            "createdAt": obj.get("createdAt"),
            "updatedAt": obj.get("updatedAt"),
            "outputDirectory": obj.get("outputDirectory"),
            "parameters": obj.get("parameters"),
            "workingDir": obj.get("workingDir"),
            "correlationId": obj.get("correlationId"),
            "workflowLanguage": obj.get("workflowLanguage"),
            "cluster": ClusterDto.from_dict(obj["cluster"]) if obj.get("cluster") is not None else None,
            "status": obj.get("status"),
            "summary": obj.get("summary"),
            "completedAt": obj.get("completedAt"),
            "volumeMounts": obj.get("volumeMounts"),
            "engineParameters": obj.get("engineParameters")
        })
        return _obj


